program Contactos_Tests;
{

  Delphi DUnit Test Project
  -------------------------
  This project contains the DUnit test framework and the GUI/Console test runners.
  Add "CONSOLE_TESTRUNNER" to the conditional defines entry in the project options 
  to use the console test runner.  Otherwise the GUI test runner will be used by 
  default.

}

{$IFDEF CONSOLE_TESTRUNNER}
{$APPTYPE CONSOLE}
{$ENDIF}

uses
  ExceptionLog,
  Forms,
  TestFramework,
  GUITestRunner,
  TextTestRunner,
  uContactosViewRegister,
  uDataModuleUsuarios,
  uDataModuleContactos_Test in 'uDataModuleContactos_Test.pas',
  uClientesController_test in 'uClientesController_test.pas',
  uHostMainForm in 'uHostMainForm.pas' {HostMainForm};

{$R *.RES}

begin
  Application.Initialize;
  Application.CreateForm(THostMainForm, HostMainForm);
  uContactosViewRegister.RegisterViews;
  if dmUsuarios.Login then
  begin
    dmUsuarios.IDEmpresaActual := 1;
    Application.Run;
  end;
  Application.Terminate;
end.

